<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
include_once 'config.php';
if (isset($_GET['act'])) {$act = altec($_GET['act']);} else {$act = 'index';} 
switch ($act):
### Главная страница
case "index":
$set['title']='Дневники'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
echo'Поиск в дневниках:<br/>';
echo'<form action="index.php?act=search" method="post">';
echo'<input type="text" name="search" placeholder="Введите пару слов для поиска..." style="width: 60%"/>';
echo'<input type="submit" value="Поиск" /></form>';
echo '<div style="border-top: gray 1px dashed; margin: 10px 5px"></div>';
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0){echo 'Дневники отсутствуют<br/>';}
$q=mysql_query("SELECT * FROM `blogs` ORDER BY time DESC LIMIT $start, $set[p_str]");
while ($data = mysql_fetch_assoc($q)){
$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $data[user] LIMIT 1"));
echo '<img src="images/blogs.png" alt="ico"/> ';
echo '<b>'.$ank['nick'].'</b> <span style="font-size: small; color:#209143">'.times($data['time']).':</span> ';
echo '<a href="index.php?act=view&amp;id='.$data['id'].'"><b><u>'.$data['title'].'</u></b></a><br/>';

echo "<span style=\"color:$ank[color]\">\n";
echo truncate_utf8($data['text'], 120);
echo "</span>\n";

echo '<a href="index.php?act=view&amp;id='.$data['id'].'"><small><u>подробнее →</u></small></a><br/>';
echo '<div style="border-top: gray 1px dashed; margin: 10px 5px"></div>';
}
if(isset($user))echo'<img src="images/write.png" alt="ico"/> <a href="index.php?act=creation">Написать дневник</a><br/>';
if ($k_page>1)str('index.php?act=index&',$k_page,$page); // Вывод страниц
break;
####ПОИСК ДНЕВНИКОВ
case "search":
$set['title']='Поиск'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
$search=NULL;
if (isset($_SESSION['search']))$search=$_SESSION['search'];
if (isset($_POST['search']))$search=$_POST['search'];
$_SESSION['search']=$search;
$search=preg_replace("#( ){2,}#"," ",$search);
$search=preg_replace("#^( ){1,}|( ){1,}$#","",$search);
$q_search=str_replace('%','',$search);
$q_search=str_replace(' ','%',$q_search);
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs` WHERE `text` like '%".mysql_escape_string($q_search)."%'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)echo 'Ничего не найдено!';
$q=mysql_query("SELECT * FROM `blogs` WHERE `text` like '%".mysql_escape_string($q_search)."%' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
$i=0;
while ($data = mysql_fetch_assoc($q))
{
$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $data[user] LIMIT 1"));
echo '<img src="images/blogs.png" alt="ico"/> ';
echo '<b>'.$ank['nick'].'</b> <span style="font-size: small; color:#209143">'.times($data['time']).':</span> ';
echo '<a href="index.php?act=view&amp;id='.$data['id'].'"><b><u>'.$data['title'].'</u></b></a><br/>';
echo "<span style=\"color:$ank[color]\">\n";
echo truncate_utf8($data['text'], 120);
echo "</span>\n";
echo '<a href="index.php?act=view&amp;id='.$data['id'].'"><small><u>подробнее →</u></small></a><br/>';
echo '<div style="border-top: gray 1px dashed; margin: 10px 5px"></div>';
}
if ($k_page>1){str("index.php?act=search&",$k_page,$page);}
break;
####ДНЕВНИКИ ПОЛЬЗОВАТЕЛЯ
case "user":
$id = intval($_GET['id']);
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id`='".$id."'"),0)==1){
$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $id LIMIT 1"));
$set['title']='Дневники'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs` WHERE `user`='".$id."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0){echo 'Дневники отсутствуют<br/>';}
$q=mysql_query("SELECT * FROM `blogs` WHERE `user`='".$id."' ORDER BY time DESC LIMIT $start, $set[p_str]");
while ($data = mysql_fetch_assoc($q)){
echo '<img src="images/blogs.png" alt="ico"/> ';
echo '<b>'.$ank['nick'].'</b> <span style="font-size: small; color:#209143">'.times($data['time']).':</span> ';
echo '<a href="index.php?act=view&amp;id='.$data['id'].'"><b><u>'.$data['title'].'</u></b></a><br/>';
echo "<span style=\"color:$ank[color]\">\n";
echo truncate_utf8($data['text'], 120);
echo "</span>\n";
echo '<a href="index.php?act=view&amp;id='.$data['id'].'"><small><u>подробнее →</u></small></a><br/>';
echo '<div style="border-top: gray 1px dashed; margin: 10px 5px"></div>';
}
if ($k_page>1)str('index.php?act=user&id='.$id.'&',$k_page,$page); // Вывод страниц
}else{header("Location: index.php");}
break;
####ПРОСМОТР ДНЕВНИКА
case "view":
$id = intval($_GET['id']);
if(isset($_GET['sort'])){$sort = intval($_GET['sort']);}else{$sort=0;}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs` WHERE `id`=$id"),0)==0)header("Location: index.php");
$data=mysql_fetch_assoc(mysql_query("SELECT * FROM `blogs` WHERE `id` = $id LIMIT 1"));
$set['title']='Дневник | '.$data['title']; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $data[user] LIMIT 1"));
####Сколько прочитало дневник
if(isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs_view` WHERE `user`= '".$user['id']."' and `blog` = '".$data['id']."' and `ip` = '$ip'"),0)==0){
mysql_query("INSERT INTO `blogs_view` (`user`, `blog`, `ip`) values('$user[id]', '$data[id]', '$ip')");
mysql_query("UPDATE `blogs` SET `write` = `write`+1 WHERE `id` = '$data[id]' LIMIT 1");
}
####
echo '<img src="images/blogs.png" alt="ico"/> ';
echo '<a href="/info.php?id='.$data['user'].'"><b><u>'.$ank['nick'].'</u></b></a> '.online($data['user']).' <span style="font-size: small; color:#209143">'.times($data['time']).':</span> ';
echo '<b>'.$data['title'].'</b><br/>';
if(is_file('pic/'.$id.'.png')){
echo'<img src="img.php?name='.$id.'.png&prev='.$pic_prev.'" alt="!"/><br/>';
}elseif(is_file('pic/'.$id.'.gif')){
echo'<img src="img.php?name='.$id.'.gif&prev='.$pic_prev.'" alt="!"/><br/>';
}elseif(is_file('pic/'.$id.'.jpg')){
echo'<img src="img.php?name='.$id.'.jpg&prev='.$pic_prev.'" alt="!"/><br/>';
}
### Постраничная навигация
$count = iconv_strlen($data['text'], 'utf-8'); 
$smax = ceil($count/$limit);
if(isset($_GET['s'])){$s=intval($_GET['s']); 
if($s>$smax){$s=$smax;} 
if($s<1){$s=1;} 
}else{$s=1;} 
echo iconv_substr($data['text'], ($s*$limit)-$limit, $s*$limit, 'utf-8'); 
//echo output_text($data['text']);
echo listing('index.php?act=view&id='.$id.'&', $smax, $s);
echo'<br/>';
###администрирование дневника
if($data['user']==$user['id'] || $user['leve']>2){
echo '<div class="foot">';
echo '<img src="images/edit.png" alt="ico"/> <a href="index.php?act=edit&id='.$id.'">Редактирование дневника</a><br/>';
echo '<img src="images/remove.png" alt="ico"/> <a href="index.php?act=delete&id='.$id.'">Удаление дневника</a><br/>';
echo '</div>';
}
echo'<div class="p_m">';
$comments = ($data['no_comments']==0) ? ', '.$data['comments'].skl($data['comments'], ' комментарий', ' комментария', ' комментариев') : '';
echo $data['write'].skl($data['write'], ' просмотра', ' просмотра', ' просмотр').$comments;
echo'</div>';
####КОММЕНТАРИИ
if($data['no_comments']==0){
$zsort = ($sort==0) ? 'вверху | <a href="index.php?act=view&id='.$id.'&sort=1">внизу</a><br/>' : '<a href="index.php?act=view&id='.$id.'&sort=0">вверху</a> | внизу<br/>';
$bdsort = ($sort==0) ? 'ORDER BY `time` DESC' : 'ORDER BY `time` ASC';
echo 'Новые: '.$zsort;
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs_comm` WHERE `blog`= '".$data['id']."' "),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
//if ($k_post==0){echo 'Нет сообщений<br/>';}
$q=mysql_query("SELECT * FROM `blogs_comm` WHERE `blog`= '".$data['id']."' ".$bdsort." LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q)){
$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[user] LIMIT 1"));
echo '<img src="images/comment.png" alt="ico"/> <a href="/info.php?id='.$ank['id'].'">'.$ank['nick'].'</a> '.online($ank['id']).' ('.vremja($post['time']).')<br/>';
echo "<span style=\"color:$ank[color]\">\n";
echo output_text($post['text']).'<br />';
echo "</span>\n";
if ($user['level']>2 || $data['user']==$user['id'])echo '[<a href="index.php?act=delcomm&id='.$data['id'].'&comm='.$post['id'].'">Удалить</a>]<br />';
echo '<div style="border-top: gray 1px dashed; margin: 10px 5px"></div>';
}
if ($k_page>1)str('index.php?act=view&id='.$id.'&sort='.$sort.'&',$k_page,$page); // Вывод страниц
if(isset($user)){
echo'<form action="index.php?act=addcomm&id='.$data['id'].'" method="post">';
echo'<b>Сообщение</b>:<br/>';
echo'<textarea cols=50 rows=5  name="text"></textarea><br />';
echo'<input type="submit" value="Отправить" /></form><br/>';}
}
echo '<img src="images/undo.png" alt="ico"/> <a href="index.php?">Назад в дневники</a><br/>';
break;
####КОММЕНТАРИИ
case "addcomm":
$id = intval($_GET['id']);
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs` WHERE `id`=$id"),0)==0)header("Location: index.php");
$data=mysql_fetch_assoc(mysql_query("SELECT * FROM `blogs` WHERE `id` = $id LIMIT 1"));
$set['title']='Комментарии дневника'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
only_reg();
if($data['no_comments']==0){
$text = altec($_POST['text']);
if (utf_strlen($text) >= 2 && utf_strlen($text) < 300) {
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs_comm` WHERE `user` = '$user[id]' AND `text` = '".$text."' AND `blog`='".$data['id']."' LIMIT 1"),0)==0){
mysql_query("INSERT INTO `blogs_comm` (user, blog, text, time) values('$user[id]', '$id', '$text', '$time')");
mysql_query("UPDATE `blogs` SET `comments` = `comments`+1 WHERE `id` = '$data[id]' LIMIT 1");
if($data['user']!=$user['id']){
$_text = 'Ваш дневник [url=/blogs/index.php?act=view&id='.$data['id'].']'.$data['title'].'[/url] прокомментировали';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$data[user]', '$_text', '$time')");
}
header("Location: index.php?act=view&id=$id");
}else{echo'<span style="font-size: small; color:#ff0000"><b>Ошибка! Ваше сообщение повторяет предыдущее</b></span><br/>';}
}else{echo'<span style="font-size: small; color:#ff0000"><b>Ошибка! Комментарий не может быть больше 300 символов и меньше 2 символов!</b></span><br/>';}
}else{header("Location: index.php?act=view&id=$id");}
echo'<img src="images/undo.png" alt="ico"/> <a href="index.php?act=view&id='.$data['id'].'">Назад в дневник</a><br/>';
break;
case "delcomm":
$id = intval($_GET['id']);
$comm = intval($_GET['comm']);
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs` WHERE `id`=$id"),0)==0)header("Location: index.php");
$data=mysql_fetch_assoc(mysql_query("SELECT * FROM `blogs` WHERE `id` = $id LIMIT 1"));
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs_comm` WHERE `id`=$comm"),0)==0)header("Location: index.php");
$comm=mysql_fetch_assoc(mysql_query("SELECT * FROM `blogs_comm` WHERE `id` = $comm LIMIT 1"));
$set['title']='Удаление комментариев дневника'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
if($data['user']==$user['id'] || $user['level']>2){
if(isset($_GET['ok'])){
mysql_query("DELETE FROM `blogs_comm` WHERE `id`='".$comm['id']."'");
mysql_query("UPDATE `blogs` SET `comments` = `comments`-1 WHERE `id` = '$data[id]' LIMIT 1");
header("Location: index.php?act=view&id=$data[id]");
}
echo'Вы действительно хотите удалить комментарий:';
echo '<div style="border-top: gray 1px dashed; margin: 10px 5px"></div>';
$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $comm[user] LIMIT 1"));
echo '<img src="images/comment.png" alt="ico"/> <a href="/info.php?id='.$ank['id'].'">'.$ank['nick'].'</a> '.online($ank['id']).' ('.vremja($comm['time']).')<br/>';
echo output_text($comm['text']).'<br />';

echo'<form action="index.php?act=delcomm&amp;id='.$id.'&amp;comm='.$comm['id'].'&amp;ok" method="post">';
echo'<input type="submit" value="Удалить" /></form>';
}else{echo'<span style="font-size: small; color:#ff0000"><b>Ошибка! Вы не являетесь создателем данной темы!</b></span><br/>';}

echo '<div style="border-top: gray 1px dashed; margin: 10px 5px"></div>';
echo 'к дневнику: <a href="index.php?act=view&id='.$data['id'].'">'.$data['title'].'</a>?<br/>';

echo'<img src="images/undo.png" alt="ico"/> <a href="index.php?act=view&id='.$data['id'].'">Назад в дневник</a><br/>';
break;
####РЕДАКТИРОВАНИЕ ДНЕВНИКА
case "edit":
$id = intval($_GET['id']);
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs` WHERE `id`=$id"),0)==0)header("Location: index.php");
$data=mysql_fetch_assoc(mysql_query("SELECT * FROM `blogs` WHERE `id` = $id LIMIT 1"));
$set['title']='Редактирование дневника'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
only_reg();
if($data['user']==$user['id'] || $user['leve']>2){
if(isset($_GET['ok'])){
$title = altec($_POST['title']);
$text = altec($_POST['text']);
$no_comments (isset($_POST['no_comments'])) ? intval($_POST['no_comments']) : 0;
$tags = altec($_POST['tags']);
if (utf_strlen($title) >= 3 && utf_strlen($title) < 50) {
if (utf_strlen($text) >= 20 && utf_strlen($text) < 20000) {
mysql_query("UPDATE `blogs` SET `time_last` = '".$time."', `title` = '".$title."', `text` = '".$text."', `no_comments` = '".$no_comments."', `tags` = '".$tags."' WHERE `id` = '$data[id]' LIMIT 1");
msg("Дневник успешно отредактирован");
}else{echo'<span style="font-size: small; color:#ff0000"><b>Ошибка! Тема не может быть больше 50 символов и меньше 3 символов!</b></span><br/>';}
}else{echo'<span style="font-size: small; color:#ff0000"><b>Ошибка! Запись не может быть больше 20000 символов и меньше 3 символов!</b></span><br/>';}
}
echo'<form action="index.php?act=edit&id='.$data['id'].'&ok" method="post">';
echo'<b>Тема</b> (50 знаков):<br/>';
echo'<input name="title" value="'.$data['title'].'"><br/>';
echo'<b>Запись</b> (20000 знаков):<br />';
echo'<textarea rows="10" name="text">'.$data['text'].'</textarea><br />';
$no_comm = ($data['no_comments']==1) ? 'checked="checked"' : '';
echo'<input type="checkbox" '.$no_comm.' name="no_comments" value="1"/> '; 
echo'Запретить комментарии<br/>';
echo'<b>Добавить метки</b> (через запятую):<br/>';
echo'<input type="text" name="tags" value="'.$data['tags'].'"/><br/>';
echo'Всего можно добавить не более 10 меток<br/>';
if(is_file('pic/'.$id.'.png')){
echo'<img src="img.php?name='.$id.'.png&prev='.$pic_prev.'" alt="!"/><br/>';
}elseif(is_file('pic/'.$id.'.gif')){
echo'<img src="img.php?name='.$id.'.gif&prev='.$pic_prev.'" alt="!"/><br/>';
}elseif(is_file('pic/'.$id.'.jpg')){
echo'<img src="img.php?name='.$id.'.jpg&prev='.$pic_prev.'" alt="!"/><br/>';
}
echo'<img src="images/picture.png" alt="ico"/> <a href="index.php?act=addpic&id='.$id.'">Добавить картинку</a><br/>';
echo'<input type="submit" value="Сохранить" />';
if($data['time']!=$data['time_last'])echo '<small><i>Отредактирован: '.times($data['time_last']).'</i></small><br/>';
if($data['user']==$user['id'] || $user['leve']>2){
echo'<a href="index.php?act=delete&id='.$data['id'].'"><span style="color:red"><b>x</b></span> удалить дневник</a><br/>';
}
echo'</form>';
}else{echo'<span style="font-size: small; color:#ff0000"><b>Ошибка! Вы не являетесь создателем данной темы!</b></span><br/>';}
echo'<img src="images/undo.png" alt="ico"/> <a href="index.php?act=view&id='.$data['id'].'">Назад в дневник</a><br/>';
break;
####ДОБАВЛЕНИЕ КАРТИНКИ
case "addpic":
$id = intval($_GET['id']);
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs` WHERE `id`=$id"),0)==0)header("Location: index.php");
$data=mysql_fetch_assoc(mysql_query("SELECT * FROM `blogs` WHERE `id` = $id LIMIT 1"));
$set['title']='Добавление картинки'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
only_reg();
if($data['user']==$user['id'] || $user['leve']>2){
if(isset($_GET['delpic'])){
if (is_file(H."blogs/pic/$id.gif")){$del_ava=H."blogs/pic/".$user['id'].".gif";}
if (is_file(H."blogs/pic/$id.jpg")){$del_ava=H."blogs/pic/".$user['id'].".jpg";}
if (is_file(H."blogs/pic/$id.png")){$del_ava=H."blogs/pic/".$user['id'].".png";}
@unlink($del_ava);
msg("Картинка успешно удалена с дневника!");
}
if(isset($_FILES['file']['tmp_name'])){
if($_FILES['file']['size']<50000){
if($_FILES['file']['type']=='image/jpg' OR $_FILES['file']['type']=='image/jpeg' OR $_FILES['file']['type']=='image/gif' OR $_FILES['file']['type']=='image/png'){
$avatar_way = H."blogs/pic/".$id; 
###Замена
$avatar_del=$id.".gif";
@unlink(H."blogs/pic/$avatar_del");
$avatar_del=$id.".jpg";
@unlink(H."blogs/pic/$avatar_del");
$avatar_del=$id.".png";
@unlink(H."blogs/pic/$avatar_del");
###
switch($_FILES['file']['type']){
case 'image/jpg': $avatar_way.=".jpg"; break;
case 'image/jpeg': $avatar_way.=".jpg"; break;
case 'image/gif': $avatar_way.=".gif"; break;
case 'image/png': $avatar_way.=".png"; break;
}
copy($_FILES['file']['tmp_name'], $avatar_way); // сохраним файл на сервер
@chmod($avatar_way,0666);
msg("Картинка в дневник успешно добавлена!");
}else{$err[]=('Файл имеет неразрешенный тип!');}
}else{$err[]=('Картинка слишком велика!');}
}

err();
$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $data[user] LIMIT 1"));
echo '<img src="images/blogs.png" alt="ico"/> ';
echo '<a href="/info.php?id='.$data['user'].'"><b><u>'.$ank['nick'].'</u></b></a> '.online($data['user']).' <span style="font-size: small; color:#209143">'.times($data['time']).':</span> ';
echo '<b>'.$data['title'].'</b><br/>';
if(is_file('pic/'.$id.'.png')){
echo'<img src="img.php?name='.$id.'.png&prev='.$pic_prev.'" alt="!"/><br/>';
}elseif(is_file('pic/'.$id.'.gif')){
echo'<img src="img.php?name='.$id.'.gif&prev='.$pic_prev.'" alt="!"/><br/>';
}elseif(is_file('pic/'.$id.'.jpg')){
echo'<img src="img.php?name='.$id.'.jpg&prev='.$pic_prev.'" alt="!"/><br/>';
}else{echo'<img src="img.php?name=nopic.jpg&prev='.$pic_prev.'" alt="!"/><br/>';}
### Постраничная навигация
$count = iconv_strlen($data['text'], 'utf-8'); 
$smax = ceil($count/$limit);
if(isset($_GET['s'])){$s=intval($_GET['s']); 
if($s>$smax){$s=$smax;} 
if($s<1){$s=1;} 
}else{$s=1;} 
echo iconv_substr($data['text'], ($s*$limit)-$limit, $s*$limit, 'utf-8'); 
//echo output_text($data['text']);
echo listing('index.php?act=addpic&id='.$id.'&', $smax, $s);
echo'<br/>';
echo '<div style="border-top: gray 1px dashed; margin: 10px 5px"></div>';
echo '<form enctype="multipart/form-data" action="" method="post">';
echo 'Файл [jpg,png,gif,jpeg]:<br />';
echo '<input name="file" type="file" /><br />';
if(is_file('pic/'.$id.'.png') || is_file('pic/'.$id.'.gif') || is_file('pic/'.$id.'.jpg'))echo '<a href="index.php?act=addpic&id='.$id.'&delpic">Удалить картинку</a><br/>';
echo '<input class="submit" name="ok" type="submit" value="Выгрузить" /></form>';
}else{echo'<span style="font-size: small; color:#ff0000"><b>Ошибка! Вы не являетесь создателем данной темы!</b></span><br/>';}
echo'<img src="images/undo.png" alt="ico"/> <a href="index.php?act=edit&id='.$data['id'].'">Назад в редактирование</a><br/>';
echo'<img src="images/undo.png" alt="ico"/> <a href="index.php?act=view&id='.$data['id'].'">Назад в дневник</a><br/>';
break;
####УДАЛЕНИЕ ДНЕВНИКА
case "delete":
$id = intval($_GET['id']);
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `blogs` WHERE `id`=$id"),0)==0)header("Location: index.php");
$data=mysql_fetch_assoc(mysql_query("SELECT * FROM `blogs` WHERE `id` = $id LIMIT 1"));
$set['title']='Удаление дневника'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
only_reg();
if($data['user']==$user['id'] || $user['leve']>2){
if(isset($_GET['ok'])){
mysql_query("DELETE FROM `blogs` WHERE `id`='".$data['id']."'");
mysql_query("DELETE FROM `blogs_comm` WHERE `blog`='".$data['id']."'");
mysql_query("DELETE FROM `blogs_view` WHERE `blog`='".$data['id']."'");

header("Location: index.php");
}
echo'<form action="index.php?act=delete&amp;id='.$id.'&amp;ok" method="post">';
echo 'Вы действительно хотите удалить запись: <a href="index.php?act=view&id='.$id.'">'.$data['title'].'</a><br/>';
echo'<input type="submit" value="Удалить" /></form>';
}else{echo'<span style="font-size: small; color:#ff0000"><b>Ошибка! Вы не являетесь создателем данной темы!</b></span><br/>';}
echo'<img src="images/undo.png" alt="ico"/> <a href="index.php?act=view&id='.$data['id'].'">Назад в дневник</a><br/>';
break;
####СОЗДАНИЕ ДНЕВНИКА
case "creation":
$set['title']='Создание дневника'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
only_reg();
echo'<form action="index.php?act=add" method="post">';
echo'<b>Тема</b> (50 знаков):<br/>';
echo'<input name="title" value=""><br/>';
echo'<b>Запись</b> (20000 знаков):<br />';
echo'<textarea rows="10" name="text"></textarea><br />';
echo'<input type="checkbox" name="no_comments" value="1"/> '; 
echo'Запретить комментарии<br/>';
echo'<b>Добавить метки</b> (через запятую):<br/>';
echo'<input type="text" name="tags" value=""/><br/>';
echo'Всего можно добавить не более 10 меток<br/>';
echo'<input type="submit" value="Сохранить" /></form>';
echo'<img src="images/undo.png" alt="ico"/> <a href="index.php?">Назад в дневники</a><br/>';
break;
case "add":
$set['title']='Создание дневника'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
only_reg();
if(!isset($_POST['title']) && !isset($_POST['text']) && !isset($_POST['no_comments'])){header("Location: index.php?act=add");}
$title = altec($_POST['title']);
$text = altec($_POST['text']);
$tags = altec($_POST['tags']);
$comm = intval($_POST['no_comments']);
if (utf_strlen($title) >= 3 && utf_strlen($title) < 50) {
if (utf_strlen($text) >= 20 && utf_strlen($text) < 20000) {
mysql_query("INSERT INTO `blogs` (`user`, `title`, `text`, `tags`, `no_comments`, `time`, `time_last`) values('$user[id]', '$title', '$text', '$tags', '$no_comments', '$time', '$time')");
$id_blogs=mysql_insert_id();
$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$user[id]' AND `lenta_foto` = '1' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));

$msg_lenta = "Добавил дневник [url=/blogs/index.php?act=view&id=$id_blogs] $title [/url]";

mysql_query("INSERT INTO `lenta` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$a[id]', '$msg_lenta', '$time')");
}
header("Location: index.php?act=view&id=$id");
}else{echo'<span style="font-size: small; color:#ff0000"><b>Ошибка! Тема не может быть больше 50 символов и меньше 3 символов!</b></span><br/>';}
}else{echo'<span style="font-size: small; color:#ff0000"><b>Ошибка! Запись не может быть больше 20000 символов и меньше 3 символов!</b></span><br/>';}
echo'<img src="images/undo.png" alt="ico"/> <a href="index.php?act=creation">Назад</a><br/>';
break;
####
default:
header("location: index.php?");
endswitch;
include_once '../sys/inc/tfoot.php';
?>